/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 11.16 (Revision 1.1)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.IOTools;
import java.util.*;

public class WortVerzeichnis {
  public static void main (String[] args) {
    // Erstelle die Wortliste
    StringTokenizer st = new StringTokenizer(
        IOTools.readLine("Text: ").toUpperCase()," .,;-!?:\"'()");

    Set<String> worte = new HashSet<String>();

    while(st.hasMoreTokens())
      worte.add(st.nextToken());

    // Sortiere die Wortliste
    List<String> sortiert = new ArrayList<String>(worte);
    Collections.sort(sortiert);

    // Gib das Ergebnis aus
    System.out.println("Wortliste: " + sortiert);
  }
}
