/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 13.5 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import java.awt.*;
import javax.swing.*;
import java.util.*;
import java.text.*;

public class KalenderBlatt extends JFrame {
  Container c;            // Container dieses Frames
  JLabel info;            // Label
  JTextArea ta;           // TextArea
  JScrollPane sp;         // ScrollPane

  String[] spruch = {
    "Bei jedem Aufstehn stellt man sich die Frage: was tu ich Gutes am"
        + " heutigen Tage? Und denke, wenn die Sonne geht, sie nimmt ein"
        + " Stck des Lebens mit, das dir bestimmt.",
    "Wrest du frh aufgestanden, httest Du nicht so lange aufbleiben mssen.",
    "Wer den Fuchs fangen will, muss mit den Hhnern aufstehen.",
    "Anstand ist, wie man sich benimmt, wenn man alleine ist.",
    "Ich kann Menschen berhaupt nicht ausstehen, die hinter vorgehaltener"
        + " Hand zwischen den Zhnen herum stochern.",
    "Tiere erkennt man an ihren Arten. Menschen aber an ihren Unarten.",
    "Menschen, die - aus welchen Grnden auch immer - das Pech haben,"
        + " keines Dialekts mchtig zu sein, haben vor allem eines gemeinsam:"
        + " Sie stehen irgendwie stets am Rande ihres sozialen Umfelds.",
    "Alberne Leute sagen Dummheiten. Gescheite Leute machen sie.",
    "An den Vorfahren kann man nichts ndern, aber man kann mitbestimmen,"
        + " was aus den Nachkommen wird.",
    "Den grten Beitrag zur Erwachsenenbildung leisten Eltern, die mit"
        + " ihren Kindern Hausaufgaben machen."
  };

  public KalenderBlatt() {
    c = getContentPane();
    Date heute = new Date();
    SimpleDateFormat sdf = new SimpleDateFormat("'Heute ist 'EEEE', der 'd. MMMM yyyy");
    info = new JLabel(sdf.format(heute),JLabel.CENTER);
    int zufall = (int) (10*Math.random());
    ta = new JTextArea(spruch[zufall]);

    // Setze die Schriftart
    Font schrift = new Font("SansSerif",Font.BOLD+Font.ITALIC,16);
    ta.setFont(schrift);

    // Automatischen Umbruch aktivieren
    ta.setLineWrap(true);
    ta.setWrapStyleWord(true);

    // Scrollpane erzeugen
    sp = new JScrollPane(ta);

    // Fuege die Komponenten hinzu
    c.add(info,BorderLayout.NORTH);
    c.add(sp);
  }

  public static void main(String[] args) {
    KalenderBlatt fenster = new KalenderBlatt();
    fenster.setTitle("Spruch des Tages");
    fenster.setSize(250,100);
    fenster.setVisible(true);
    fenster.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  }
}
