/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 16.3 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class LaufFrame extends JFrame {

  Container c;
  ColorRunButton knopf1, knopf2;
  JComboBox<String> farbenWahl;
  JCheckBox buchstabenWahl;

  public static void main(String[] args) {
    LaufFrame frame = new LaufFrame();

    frame.setTitle("LaufFrame");
    frame.setSize(200,200);
    frame.setVisible(true);
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  }

  public LaufFrame() {
    c = getContentPane();
    c.setLayout(new FlowLayout());
    knopf1 = new ColorRunButton();
    knopf2 = new ColorRunButton();
    farbenWahl = new JComboBox<>();
    farbenWahl.addItem("schwarze Schrift");
    farbenWahl.addItem("graue Schrift");
    buchstabenWahl = new JCheckBox("Buchstaben", true);
    knopf1.addActionListener(new KnopfListener(knopf1));
    knopf2.addActionListener(new KnopfListener(knopf2));
    c.add(knopf1);
    c.add(knopf2);
    c.add(farbenWahl);
    c.add(buchstabenWahl);
  }

  class KnopfListener implements ActionListener {
    ColorRunButton crb;

    KnopfListener (ColorRunButton crb) {
      this.crb = crb;
    }

    public void actionPerformed (ActionEvent e) {
      // Auswahl-Index des Choice-Objekts bestimmen und Schrift setzen
      if (farbenWahl.getSelectedIndex() == 0)
        crb.setForeground(Color.black);
      else
        crb.setForeground(Color.gray);
      //  Zustand der Checkbox bestimmen und Button-Zustand aendern
      crb.change(buchstabenWahl.isSelected());
    }
  }
}
