/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 17.2 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import java.io.*;

public class InOutTools {
  // Gepufferter Eingabestrom ueber den Standardeingabstrom System.in
  public static BufferedReader
    in = new BufferedReader(new InputStreamReader(System.in));

  // Methode zum Einlesen von double-Werten
  public static double readDouble() {
    double erg = 0;
    try{
      erg = Double.parseDouble(in.readLine());
    }  catch(Exception e){
      System.out.println(e);
    }
    return erg;
  }

  // Methode zum Einlesen von double-Werten mit Prompt
  public static double readDouble(String prompt) {
    System.out.print(prompt);
    System.out.flush();
    double erg = 0;
    try{
      erg = Double.parseDouble(in.readLine());
    }  catch(Exception e){
      System.out.println(e);
    }
    return erg;
  }

  // main-Methode
  public static void main(String[] args) {
    System.out.print("double-Wert eingeben: d = ");
    double d = readDouble();
    System.out.println("d = " + d + " wurde eingelesen");

    double e = readDouble("double-Wert eingeben: e = ");
    System.out.println("e = " + e + " wurde eingelesen");
  }
}
