/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 18.1 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import java.io.*;
import java.net.*;

class CDServer {
  public static void main(String[] args) {
    if (args.length != 1) {
      System.out.println("Aufruf:  java CDServer <portnr>");
      System.exit(1);
    }

    try {
      int port = Integer.parseInt(args[0]);
      ServerSocket server = new ServerSocket(port);
      System.out.println("CDServer wartet auf Port " + port);
      boolean neu = true;

      while (neu) {
        Socket sock = server.accept();
        new CDVerbindung(sock).start();
      }

      server.close();
    } catch (IOException e) {
      e.printStackTrace();
    }
  }
}
