/*
 * "Grundkurs Programmieren in Java - (8. Auflage, 2018)"
 * 2001-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 19.3 (Version 1.0)
 * (c) 2001-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import java.util.*;
public class Pipeline1 {
  public static void main(String[] args) {
    List<String> strings = Arrays.asList("bb","ZZ","aa","PP","zz");
    strings
      .stream()
      .sorted()
      .map(String::toUpperCase)
      .forEach(n -> System.out.print(n + " "));
  }
}

/*

Ausgegeben wird

  PP ZZ AA BB ZZ

Der Strom entwickelt sich wie folgt:

   bb   ZZ   aa   PP   zz  (nach .stream)
   PP   ZZ   aa   bb   zz  (nach .sorted)
   PP   ZZ   AA   BB   ZZ  (nach .map)
  
*/
