/*
 * "Grundkurs Programmieren in Java - (8. Auflage, 2018)"
 * 2001-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 19.4 (Version 1.0)
 * (c) 2001-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import java.util.*;
public class Pipeline2 {
  public static void main(String[] args) {
    List<String> strings = Arrays.asList("bbb", "ZZZ", "aaa", "PPP",
                                         "zzz", "fff", "vvv");
    boolean i =
      strings
        .stream()
        .distinct()
        .sorted((a,b) -> a.compareToIgnoreCase(b))
        .limit(4)
        .map((a) -> a.substring(0, 2))
        .noneMatch((a) -> a.equals("aa"));
    System.out.println(i);
  }
}

/*

Ausgegeben wird

  false

Der Strom entwickelt sich wie folgt:

  bbb ZZZ aaa PPP zzz fff vvv   (nach .stream)
        
  bbb ZZZ aaa PPP zzz fff vvv   (nach .distinct)

  aaa bbb fff PPP vvv ZZZ zzz   (nach .sorted)
        
  aaa bbb fff PPP               (nach .limit)
  
  aa bb ff PP                   (nach .map)

*/
