/*
 * "Grundkurs Programmieren in Java - (8. Auflage, 2018)"
 * 2001-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 8.18 (Version 3.0)
 * (c) 2001-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 * Benoetigt 'Point.java' und 'Strecke.java' (vgl. Afg. 8.17)
 *
 */

import Prog1Tools.IOTools;

public class RunStrecke {

  public static void main(String[] args) {

    Point a = new Point(1,1);
    Point b = new Point(3,3);

    Strecke s = new Strecke(a,b);
    System.out.println("Die Strecke: " + s);

    double drehwinkel = IOTools.readDouble("Drehwinkel: ");
    System.out.println();

    s.turn(drehwinkel);
    System.out.println("Laenge der gedrehten Strecke: " + s.getLaenge());
  }

}

/*

  E:\hiwi\temp>javac RunStrecke.java

  E:\hiwi\temp>java RunStrecke
  Die Strecke: (1.0,1.0)_(3.0,3.0)
  Drehwinkel: 10

  Laenge der gedrehten Strecke: 2.82842712474619

*/


