/*
 * "Grundkurs Programmieren in Java - (8. Auflage, 2018)"
 * 2001-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 8.11 b) (Version 3.0)
 * (c) 2001-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.IOTools;

public class TestPlatte {

  public static GelochtePlatte lochen (MetallPlatte mp) {
    GelochtePlatte gp = new GelochtePlatte(mp.laenge, mp.breite, 10);
    int n = IOTools.readInteger("Anzahl der zu stanzenden Loecher: ");
    for (int i=1; i<=n; i++)
      gp.neuesLochStanzen();
    return gp;
  }

  public static void main (String[] args) {

    double laenge = IOTools.readDouble("Laenge der Metall-Platte 1: ");
    double breite = IOTools.readDouble("Breite der Metall-Platte 1: ");
    MetallPlatte mp1 = new MetallPlatte(laenge,breite);

    laenge = IOTools.readDouble("Laenge der Metall-Platte 2: ");
    breite = IOTools.readDouble("Breite der Metall-Platte 2: ");
    MetallPlatte mp2 = new MetallPlatte(laenge,breite);

    if (mp1.schwererAls(mp2))
      System.out.println("mp1 ist schwerer als mp2!");
    else if (mp2.schwererAls(mp1))
      System.out.println("mp2 ist schwerer als mp1!");
    else
      System.out.println("mp1 und mp2 sind gleich schwer!");

    System.out.println("mp1 wird gelocht");
    GelochtePlatte gp1 = lochen(mp1);

    System.out.println("mp2 wird gelocht");
    GelochtePlatte gp2 = lochen(mp2);

    if (gp1.schwererAls(gp2))
      System.out.println("gp1 ist schwerer als gp2!");
    else if (gp2.schwererAls(gp1))
      System.out.println("gp2 ist schwerer als gp1!");
    else
      System.out.println("gp1 und gp2 sind gleich schwer!");
  }
}

