/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 11.12 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.*;
import java.util.*;

public class Zukunft {
  /** Methode zur Ausgabe eines Zeitpunkts */
  public static void drucke (Calendar t) {
    int min = t.get(Calendar.MINUTE);
    String sMin = (min < 10) ? ("0" + min) : ("" + min);
    System.out.println("Zeitpunkt: "
                       + t.get(Calendar.DAY_OF_MONTH) + "."
                       + (t.get(Calendar.MONTH) + 1) + "."
                       + t.get(Calendar.YEAR) + ",  "
                       + t.get(Calendar.HOUR_OF_DAY) + ":"
                       + sMin + " Uhr");
  }

  /** Test-Methode */
  public static void main (String[] args) {
    // Aktuellen Zeitpunkt erzeugen
    Calendar zeit = Calendar.getInstance();
    // Zeitpunkt ausgeben
    drucke(zeit);

    int weiter = IOTools.readInteger("Wieviele Jahre in die Zukunft?: ");
    zeit.add(Calendar.YEAR, weiter);
    weiter = IOTools.readInteger("Wieviele Tage in die Zukunft?: ");
    zeit.add(Calendar.DAY_OF_MONTH, weiter);
    weiter = IOTools.readInteger("Wieviele Stunden in die Zukunft?: ");
    zeit.add(Calendar.HOUR_OF_DAY, weiter);
    weiter = IOTools.readInteger("Wieviele Minuten in die Zukunft?: ");
    zeit.add(Calendar.MINUTE, weiter);
    // Zeitpunkt ausgeben
    drucke(zeit);
  }
}
