/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 11.13 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.IOTools;
import java.util.Date;
import java.util.Locale;
import java.text.SimpleDateFormat;
import java.text.DateFormat;

public class Zeitansage {
  public static void main (String[] args) {
    // Erste Begruessung
    System.out.println(new SimpleDateFormat(
        "'Heute ist' EEEEEEEEEEE', der 'dd'.' MMMMMMMMMMMMM yyyy'.\n'"
      ,Locale.GERMAN).format(new Date()));

    // Zeitansage
    DateFormat format = new SimpleDateFormat(
      "'Die Uhr zeigt gerade:' HH 'Uhr und' mm 'Minuten.\n" +
      "Neue Zeitanzeige mit ENTER.'",Locale.GERMAN);
    while(true) {
      System.out.println(format.format(new Date()));
      IOTools.readLine();
    }
  }
}
