/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 15.1 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

public class Punkt {

  private double x, y;

  public Punkt(double x, double y) {
    this.x = x; this.y = y;
  }

  public double getX() {
    return this.x;
  }

  public double getY() {
    return this.y;
  }

  public void drehen (double phi) {
    double xAlt = this.x;
    this.x = this.x * Math.cos(phi) - y * Math.sin(phi);
    this.y = xAlt   * Math.sin(phi) + y * Math.cos(phi);
  }

} // class Punkt

