/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 15.6 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import java.awt.*;

public class SchwerDreieck extends Dreieck {

  public SchwerDreieck(Punkt p1, Punkt p2, Punkt p3) {
    super(p1, p2, p3);
  }

  public void zeichnen(Graphics g, int xNull, int yNull) {
    double xSchwer = (this.p1.getX() + this.p2.getX() + this.p3.getX() ) / 3;
    double ySchwer = (this.p1.getY() + this.p2.getY() + this.p3.getY() ) / 3;
    super.zeichnen(g, xNull - (int) xSchwer, yNull - (int) ySchwer);
  } // zeichnen
}
