/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 16.2 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

class BessererWert extends Wert {
  private boolean verfuegbar = false;
  public synchronized int get() {
    while (!verfuegbar)
      try {
        wait();
      }
      catch (InterruptedException ie) {
      }
    verfuegbar = false;
    notify();
    return wert;
  }
  public synchronized void put (int w) {
    while (verfuegbar)
      try {
        wait();
      }
      catch (InterruptedException ie) {
      }
    wert = w;
    verfuegbar = true;
    notify();
  }
}
