/*
 * "Grundkurs Programmieren in Java (8. Auflage, 2018)"
 * 2003-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 16.3 (Version 2.0)
 * (c) 2003-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 */

import javax.swing.*;
import java.awt.*;

public class ColorRunButton extends JButton implements Runnable {

  private boolean running        = false;       // Thread laeuft zu Beginn nicht
  private boolean zeigtBuchstabe = true;        // Anzeige zeigt zu Beginn Buchstaben


  /**
   * setzt Hintergrund auf weiss, setzt Schrift auf Arial (50 Punkt, fett)
   *
   *
   */
  public ColorRunButton() {
    setBackground( Color.white );
    setFont( new Font( "Courier",Font.BOLD,50 ) );
    setText( " " );
  }

  public void change(boolean zeigtBuchstabe) {
    this.zeigtBuchstabe = zeigtBuchstabe;
    if (running)
      running = false;
    else {
      running = true;
      new Thread(this).start();
    }
  }

  public void run() {
    String text;

    while (running) {
      int zufall = (int) (10*Math.random());
      if (zeigtBuchstabe) // Buchstabe oder Ziffer?
        text = "" + (char) (65 + zufall);
      else
        text = "" + zufall;
      setText(text);
      try {
        Thread.sleep(10);
      }
      catch(InterruptedException e) {
        break;
      }
    }
  }
}

