/*
 * "Grundkurs Programmieren in Java - (8. Auflage, 2018)"
 * 2001-2018, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 8.3 (Version 3.0)
 * (c) 2001-2018 D. Ratz, D. Schulmeister-Zimolong, D. Seese, J. Wiesenberger
 *
 * braucht noch 'Waehrung.java' und 'Lire.java'
 *
 */

/** Die Waehrung Europas */
public class Euro extends Waehrung {

  /** Ein Euro ist soviel Dollar wert */
  private static double kurs=1;

  /** Instanzvariable: Wert in Euro */
  private double wert;

  /** Konstruktor */
  public Euro(double wert) {
    this.wert=wert;
  }

  /** Deklaration der sonst abstrakten Methode dollarBetrag */
  public double dollarBetrag() {
    return wert*kurs;
  }

  /** Gibt den Wert der Waehrung in Euro zurueck */
  public double euroBetrag() {
    return wert;
  }

  /** Zugriff auf die private Klassenvariable */
  public static void setEuroKurs(double Kurs) {
    kurs=Kurs;
  }

  public String toString () {
    return "" + euroBetrag() + " Euro";
  }

  public static void main (String[] args) {
    System.out.println(new Euro( 1.23) );
    System.out.println(new Lire( 1000) );   // wird auch in Euro ausgegeben!
  }


}
